Support Support Downloads Knowledge Base Apex Support Portal Community

Knowledge Base

Search our Knowledge Base sites to find answers to your questions.

Ask All Knowledge Base Sites All Knowledge Base Sites JunosE Defect (KA)Knowledge BaseSecurity AdvisoriesTechnical BulletinsTechnotes Sign in to display secure content and recently viewed articles

2021-04 Security Bulletin: Junos OS: SNMP fails to properly perform authorization checks on incoming received SNMP requests. (CVE-2021-0260)

0

0

Article ID: JSA11151 SECURITY_ADVISORIES Last Updated: 14 Apr 2021Version: 2.0
Product Affected:
This issue affects Junos OS 17.2, 17.3, 17.4, 18.1, 18.2, 18.3, 18.4, 19.1, 19.2, 19.3.
Problem:

An improper authorization vulnerability in the Simple Network Management Protocol daemon (snmpd) service of Juniper Networks Junos OS leads an unauthenticated attacker being able to perform SNMP read actions, an Exposure of System Data to an Unauthorized Control Sphere, or write actions to OIDs that support write operations, against the device without authentication.

This issue affects:

Juniper Networks Junos OS:

  • 17.2 version 17.2R1 and later versions;
  • 17.3 versions prior to 17.3R3-S9;
  • 17.4 versions prior to 17.4R2-S12, 17.4R3-S5;
  • 18.1 versions prior to 18.1R3-S13;
  • 18.2 versions prior to 18.2R3-S8;
  • 18.3 versions prior to 18.3R3-S5;
  • 18.4 versions prior to 18.4R1-S8, 18.4R2-S5, 18.4R3;
  • 19.1 versions prior to 19.1R2;
  • 19.2 versions prior to 19.2R1-S6, 19.2R2;
  • 19.3 versions prior to 19.3R2.
  • This issue does not affect Juniper Networks Junos OS versions prior to 17.2R1.

Devices configured with any version of SNMP, regardless of configuration statements or authentication methods are vulnerable to this issue.

If the following minimal configuration is present, the device is vulnerable to exploitation:

[snmp]
[system management-instance]

Juniper SIRT is not aware of any malicious exploitation of this vulnerability.

This issue was seen during production usage.

This issue has been assigned CVE-2021-0260.

Solution:

The following software releases have been updated to resolve this specific issue: 17.3R3-S9, 17.4R2-S12, 17.4R3-S5, 18.1R3-S13, 18.2R3-S8, 18.3R3-S5, 18.4R1-S8, 18.4R2-S5, 18.4R3, 19.1R2, 19.2R1-S6, 19.2R2, 19.3R2, 19.4R1, and all subsequent releases.

This issue is being tracked as 1458057.

Workaround:

The following workaround command will disable SNMP support for the mgmt_junos routing interface and protect the device from being exploited:

# set snmp disable-mgmt-junos-support
Implementation:
Software releases or updates are available for download at https://support.juniper.net/support/downloads/
Modification History:
2021-04-14: Initial Publication.
CVSS Score:
7.3 (CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L)
Severity Level:
High
Severity Assessment:
Information for how Juniper Networks uses CVSS can be found at KB 16446 "Common Vulnerability Scoring System (CVSS) and Juniper's Security Advisories."

Related Links

Comment on this article > Affected Products Browse the Knowledge Base for more articles related to these product categories. Select a category to begin.

Getting Up and Running with Junos

Getting Up and Running with Junos Security Alerts and Vulnerabilities Product Alerts and Software Release Notices Problem Report (PR) Search Tool EOL Notices and Bulletins JTAC User Guide Customer Care User Guide Pathfinder SRX High Availability Configurator SRX VPN Configurator Training Courses and Videos End User Licence Agreement Global Search